# Uses of Class
org.apache.lucene.search.similarities.Normalization

Packages that use Normalization
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of Normalization in org.apache.lucene.search.similarities

  Subclasses of Normalization in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `static final class`
  `Normalization.NoNormalization`
  Implementation used when there is no normalization.
  `class`
  `NormalizationH1`
  Normalization model that assumes a uniform distribution of the term frequency.
  `class`
  `NormalizationH2`
  Normalization model in which the term frequency is inversely related to the length.
  `class`
  `NormalizationH3`
  Dirichlet Priors normalization
  `class`
  `NormalizationZ`
  Pareto-Zipf Normalization
  Fields in org.apache.lucene.search.similarities declared as Normalization
  Modifier and Type
  Field
  Description
  `protected final Normalization`
  DFRSimilarity.`normalization`
  The term frequency normalization.
  `protected final Normalization`
  IBSimilarity.`normalization`
  The term frequency normalization.
  Methods in org.apache.lucene.search.similarities that return Normalization
  Modifier and Type
  Method
  Description
  `Normalization`
  DFRSimilarity.`getNormalization()`
  Returns the second normalization
  `Normalization`
  IBSimilarity.`getNormalization()`
  Returns the term frequency normalization
  Constructors in org.apache.lucene.search.similarities with parameters of type Normalization
  Modifier
  Constructor
  Description
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization)`
  Creates DFRSimilarity from the three components and using default discountOverlaps value.
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization, boolean discountOverlaps)`
  Creates DFRSimilarity from the three components and with the specified discountOverlaps value.
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization)`
  Creates IBSimilarity from the three components and using default discountOverlaps value.
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization, boolean discountOverlaps)`
  Creates IBSimilarity from the three components and with the specified discountOverlaps value.